Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.event
Interface ProcessInstanceListener

All Superinterfaces:
  java.util.EventListener

public interface ProcessInstanceListener
extends java.util.EventListener

This interface is used by the implementing class for listening to `ProcessInstanceEvents`.

When you implement this class, it proactively updates the process or work item that is designated in the `ProcessInstanceEvent` object in real time. This means that at run time the listener is notified of any change that occurs in the process instance on the server. During a structural edit session, only listeners on the current client are notified.

However, whenever the process instance is not in edit-mode, the registered `ProcessInstanceListener` allows all clients to be constantly synchronized through proactive notification. Thus, when an activity node changes from a running state to a closed state, the server immediately updates all clients that are displaying this process.

Whenever a process changes on the server, the `ProcessInstanceListener` receives a notification of the change so that other representations of the process can reflect changing conditions consistently.

For a list of parameters that are monitored, see the field list in the `ProcessInstanceEvent` class.

You can add a `ProcessInstanceListener` object to a process instance by calling the method `ProcessInstance.addProcessInstanceListener`.

See Also:
  `ProcessInstance`, `ProcessInstanceEvent`

Method Summary
`void` | `processInstanceChanged(ProcessInstanceEvent event)` This method is called if the process instance to which this listener belongs has been changed.
`void` | `stateChanged(ProcessInstanceEvent event)` This method is called if the state of a process instance to which this listener belongs has been changed.

Method Detail

### stateChanged

    public void stateChanged(ProcessInstanceEvent event)

  This method is called if the state of a process instance to which this listener belongs has been changed.

  Parameters:
    `event` - The `ProcessInstanceEvent` containing details about the state change.

### processInstanceChanged

    public void processInstanceChanged(ProcessInstanceEvent event)

  This method is called if the process instance to which this listener belongs has been changed.

  Parameters:
    `event` - The `ProcessInstanceEvent` containing details about the process instance change.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD